Class | Tk::BWidget::SpinBox
In: | tk/lib/tkextlib/bwidget/spinbox.rb
Parent: | TkEntry

### Methods

entrybind entrybind_append entrybind_remove entrybindinfo get_index_of_value get_value get_value_index set_index_value set_value set_value_by_index

### Included Modules

Scrollable

### Constants

TkCommandNames | = | ['SpinBox'.freeze].freeze
WidgetClassName | = | 'SpinBox'.freeze

### Public Instance methods

entrybind(context, *args)

def entrybind(*args)

      _bind([path, 'bind'], *args)
      self

end

[Source]

    # File tk/lib/tkextlib/bwidget/spinbox.rb, line 49
      def entrybind(context, *args)
        #if args[0].kind_of?(Proc) || args[0].kind_of?(Method)
        if TkComm._callback_entry?(args[0]) || !block_given?
          cmd = args.shift
        else
          cmd = Proc.new
        end
        _bind([path, 'bind'], context, cmd, *args)
        self
      end

entrybind_append(context, *args)

def entrybind_append(*args)

      _bind_append([path, 'bind'], *args)
      self

end

[Source]

    # File tk/lib/tkextlib/bwidget/spinbox.rb, line 64
      def entrybind_append(context, *args)
        #if args[0].kind_of?(Proc) || args[0].kind_of?(Method)
        if TkComm._callback_entry?(args[0]) || !block_given?
          cmd = args.shift
        else
          cmd = Proc.new
        end
        _bind_append([path, 'bind'], context, cmd, *args)
        self
      end

entrybind_remove(*args)

[Source]

    # File tk/lib/tkextlib/bwidget/spinbox.rb, line 75
      def entrybind_remove(*args)
        _bind_remove([path, 'bind'], *args)
        self
      end

entrybindinfo(*args)

[Source]

    # File tk/lib/tkextlib/bwidget/spinbox.rb, line 80
      def entrybindinfo(*args)
        _bindinfo([path, 'bind'], *args)
        self
      end

get_index_of_value()

[Source]

    # File tk/lib/tkextlib/bwidget/spinbox.rb, line 85
      def get_index_of_value
        number(tk_send_without_enc('getvalue'))
      end

get_value()

Alias for get_index_of_value

get_value_index()

Alias for get_index_of_value

set_index_value(idx)

Alias for set_value_by_index

set_value(idx)

Alias for set_value_by_index

set_value_by_index(idx)

[Source]

    # File tk/lib/tkextlib/bwidget/spinbox.rb, line 91
      def set_value_by_index(idx)
        idx = "@#{idx}" if idx.kind_of?(Integer)
        tk_send_without_enc('setvalue', idx)
        self
      end

[Validate]